# Class DisputeAgentsClient

#### Hierarchy

- DisputeAgentsClient

- Defined in src/protobuf/GrpcServiceClientPb.ts:817

#####
Index

### Constructors

constructor

### Properties

client_
credentials_
hostname_
methodDescriptorRegisterDisputeAgent
methodDescriptorUnregisterDisputeAgent
options_

### Methods

registerDisputeAgent
unregisterDisputeAgent

## Constructors

### constructor

- new DisputeAgentsClient(hostname: string, credentials?: null | {
  [index: string]: string;
  }, options?: null | {
  [index: string]: any;
  }): DisputeAgentsClient

- #### Parameters

  - ##### hostname: string

  - ##### `Optional` credentials: null | {
    [index: string]: string;
    }

  - ##### `Optional` options: null | {
    [index: string]: any;
    }

  #### Returns DisputeAgentsClient

  - Defined in src/protobuf/GrpcServiceClientPb.ts:823

## Properties

### client_

client_: AbstractClientBase

- Defined in src/protobuf/GrpcServiceClientPb.ts:818

### credentials_

credentials_: null | {
[index: string]: string;
}

- Defined in src/protobuf/GrpcServiceClientPb.ts:820

### hostname_

hostname_: string

- Defined in src/protobuf/GrpcServiceClientPb.ts:819

### methodDescriptorRegisterDisputeAgent

methodDescriptorRegisterDisputeAgent: MethodDescriptor<RegisterDisputeAgentRequest, RegisterDisputeAgentReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:836

### methodDescriptorUnregisterDisputeAgent

methodDescriptorUnregisterDisputeAgent: MethodDescriptor<UnregisterDisputeAgentRequest, UnregisterDisputeAgentReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:879

### options_

options_: null | {
[index: string]: any;
}

- Defined in src/protobuf/GrpcServiceClientPb.ts:821

## Methods

### registerDisputeAgent

- registerDisputeAgent(request: RegisterDisputeAgentRequest, metadata?: null | Metadata): Promise<RegisterDisputeAgentReply>

- #### Parameters

  - ##### request: RegisterDisputeAgentRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<RegisterDisputeAgentReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:847
- registerDisputeAgent(request: RegisterDisputeAgentRequest, metadata: null | Metadata, callback: ((err: RpcError, response: RegisterDisputeAgentReply) => void)): ClientReadableStream<RegisterDisputeAgentReply>

- #### Parameters

  - ##### request: RegisterDisputeAgentRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: RegisterDisputeAgentReply) => void)

    - - (err: RpcError, response: RegisterDisputeAgentReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: RegisterDisputeAgentReply

        #### Returns void

  #### Returns ClientReadableStream<RegisterDisputeAgentReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:851

### unregisterDisputeAgent

- unregisterDisputeAgent(request: UnregisterDisputeAgentRequest, metadata?: null | Metadata): Promise<UnregisterDisputeAgentReply>

- #### Parameters

  - ##### request: UnregisterDisputeAgentRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<UnregisterDisputeAgentReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:890
- unregisterDisputeAgent(request: UnregisterDisputeAgentRequest, metadata: null | Metadata, callback: ((err: RpcError, response: UnregisterDisputeAgentReply) => void)): ClientReadableStream<UnregisterDisputeAgentReply>

- #### Parameters

  - ##### request: UnregisterDisputeAgentRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: UnregisterDisputeAgentReply) => void)

    - - (err: RpcError, response: UnregisterDisputeAgentReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: UnregisterDisputeAgentReply

        #### Returns void

  #### Returns ClientReadableStream<UnregisterDisputeAgentReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:894

Generated using TypeDoc